LASi::show Class Reference

stream applicator applied to oPostscriptStream. More...

`#include <LASi.h>`

## Public Member Functions

| show (const char *c_str)
| Usage: os << show("some UTF-8 text") << ... More...
| show (std::string stl_str)

## Protected Member Functions

void | apply (oPostscriptStream &os) const

## Friends

oPostscriptStream & | operator<< (oPostscriptStream &os, const show &x)
| stream inserter for 'show' stream applicator More...

## Detailed Description

stream applicator applied to oPostscriptStream.

## Constructor & Destructor Documentation

## show() [1/2]

LASi::show::show | ( | const char * | c_str | ) |

inline

Usage: os << show("some UTF-8 text") << ...

## show() [2/2]

LASi::show::show | ( | std::string | stl_str | ) |

inline

## Member Function Documentation

## apply()

void LASi::show::apply | ( | oPostscriptStream & | os | ) | const

protected

## Friends And Related Function Documentation

## operator<<

oPostscriptStream& operator<< | ( | oPostscriptStream & | os,
|  | const show & | x
| ) |  |

friend

stream inserter for 'show' stream applicator

The documentation for this class was generated from the following file:

- LASi.h